<bugID>1112348<Summary>Disabling pretty-printing doesn't remove sourceMapURL on source</Summary><Description>Since bug 905700, when we pretty-print a source we generate a sourcemap and apply it by actually changing the `sourceMapURL` property on the Debugger.Source object itself, so that all debuggers can see it. We landed a C++ patch to make that setter work.

I just noticed though that when we disable pretty-printing, we don't remove the generated `sourceMapURL`. We apply a random fake URL (that looks like "internal://...") which basically is the key for looking up the sourcemap later. But once we disable pretty-printing, the sourcemap cache is purged for that source and later the system actually tries to fetch that URL. It's harmless right now because there's an error getting the sourcemap and we handle that gracefully; it treats it as a non-sourcemapped script.

However, we should clean this up so there aren't network request errors in the console.

(It's not as simple as setting sourceMapURL to null; it looks like the C++ API doesn't allow that so this will probably require more C++)</Description></bugID>